Bug 829970 - Review Request: synthv1 - a 4 oscillator subtractive polyphonic synthesizer
Review Request: synthv1 - a 4 oscillator subtractive polyphonic synthesizer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jørn Lomax
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-06-07 18:12 EDT by Brendan Jones
Modified: 2012-11-18 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 23:27:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
northlomax: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-06-07 18:12:19 EDT
synthv1 - isa 4 oscillator subtractive polyphonic synthesizer using the Qt toolkit. This package provides both a stand alone application and an LV2 plugin.

SRPM: http://bsjones.fedorapeople.org/synthv1-0.0.1-0.1.svn671.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/synthv1.spec


rpmlint /home/bsjones/rpmbuild/SRPMS/synthv1-0.0.1-0.1.svn671.fc17.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/synthv1-0.0.1-0.1.svn671.fc17.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/lv2-synthv1-0.0.1-0.1.svn671.fc17.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/synthv1-debuginfo-0.0.1-0.1.svn671.fc17.x86_64.rpm
synthv1.src: W: spelling-error Summary(en_US) subtractive -> subtraction, subtract, attractive
synthv1.src: W: spelling-error %description -l en_US subtractive -> subtraction, subtract, attractive
synthv1.src: W: spelling-error %description -l en_US fx -> f, x, fix
synthv1.x86_64: W: spelling-error Summary(en_US) subtractive -> subtraction, subtract, attractive
synthv1.x86_64: W: spelling-error %description -l en_US subtractive -> subtraction, subtract, attractive
synthv1.x86_64: W: spelling-error %description -l en_US fx -> f, x, fix
synthv1.x86_64: W: incoherent-version-in-changelog 0.0.1-1 ['0.0.1-0.1.svn671.fc17', '0.0.1-0.1.svn671']
synthv1.x86_64: W: no-manual-page-for-binary synthv1_jack
lv2-synthv1.x86_64: W: spelling-error %description -l en_US subtractive -> subtraction, subtract, attractive
lv2-synthv1.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 10 warnings.
Comment 1 Jørn Lomax 2012-06-14 20:34:01 EDT
You might want to check the links:

>URL:           http://www.rnbc.org/
>Source0:       http://www.rncbc.org/snapshots/%{svnname}.tar.gz

I don't think either points to where you want it to point

Other than that it looks good
Comment 2 Brendan Jones 2012-06-14 21:40:59 EDT
SRPM: http://bsjones.fedorapeople.org/synthv1-0.0.1-0.2.svn671.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/synthv1.spec

Indeed - the URL is incorrect - the Source is OK. There is no specific project page as yet, so linking directly to the authors site for now.
Comment 3 Jørn Lomax 2012-06-15 06:37:07 EDT
I have gone through the checklist, and can't find any issues. I tested it and it installs and runs on fedora 17 i686
Comment 4 Jørn Lomax 2012-06-20 16:28:34 EDT
Now that i know how, here is a more formal (but still informal) review:
There where a couple of rpmlint warnings:

rpmlint synthv1-0.0.1-0.1.svn671.fc18.i686.rpm
synthv1.i686: W: spelling-error Summary(en_US) subtractive -> subtracting, subt$
synthv1.i686: W: spelling-error %description -l en_US subtractive -> subtractin$
synthv1.i686: W: spelling-error %description -l en_US fx -> Fox, fax, fix
synthv1.i686: W: incoherent-version-in-changelog 0.0.1-1 ['0.0.1-0.1.svn671.fc1$
synthv1.i686: W: no-manual-page-for-binary synthv1_jack
1 packages and 0 specfiles checked; 0 errors, 5 warnings

The second to last one can be fixed by just bumping the version number in the spec. The last line is fine, as synthv1_jack does not have a man page 

rpmlint lv2-synthv1-0.0.1-0.1.svn671.fc18.i686.rpm
lv2-synthv1.i686: W: spelling-error %description -l en_US subtractive -> subtra$
lv2-synthv1.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

I would imagine it has the same documentation as synthv1, and i
ll take a guess you are aware of it. 


[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: lv2-synthv1-0.0.1-0.1.svn671.fc18.i686.rpm :
     /usr/lib/lv2/synthv1.lv2/synthv1.so

Since this .so file is application spesific, so there is no need for a -devel package.
Comment 6 Jørn Lomax 2012-08-10 14:03:52 EDT
please add "desktop-file-utils" to the build requires and add a script or short comment on how to obtain the source code (or see guidelines for other options[1])

[1]http://fedoraproject.org/wiki/Packaging:SourceURL
Comment 7 Brendan Jones 2012-08-10 15:04:53 EDT
Added missing build requires.

For some reason Rui's site is down at the moment. The tarball is downloaded from there as given via the SourceURL


SRPM: http://bsjones.fedorapeople.org/synthv1-0.0.9-0.2.svn762.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/synthv1.spec
Comment 8 Jørn Lomax 2012-08-10 15:17:28 EDT
ahh, that explains it. It still needs desktop-file-utils added as a build require before it can be built
Comment 9 Brendan Jones 2012-08-10 15:30:24 EDT
Hmmm, it is there,
Comment 10 Jørn Lomax 2012-08-10 16:12:45 EDT
My eyes deceive me! It's there, right in front of my eyes when i open the spec file again

I can't seem to get it to build though, i get the following error:

checking for suffix of object files... configure: error: in `/builddir/build/BUILD/synthv1-0.0.9svn762':
configure: error: cannot compute suffix of object files: cannot compile
Comment 11 Brendan Jones 2012-08-10 18:05:03 EDT
I'm not sure why: I can do a scratch build in f18 / f19 just fine:

koji build --scratch f19 /home/bsjones/rpmbuild/SRPMS/synthv1-0.0.9-0.2.svn762.fc17.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=4378347

If you are still having trouble can you attach the build log?
Comment 12 Jørn Lomax 2012-08-10 18:21:05 EDT
hmmmm.... I'll give it a go tomorrow on my desktop. It could be my laptop config that is borked
Comment 13 Jørn Lomax 2012-08-11 07:01:58 EDT
Seems like my laptop doesn't like doing reviews. Here is the full one:


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or
     explain):lv2-synthv1-0.0.9-0.2.svn762.fc17.i686.rpm :
     /usr/lib/lv2/synthv1.lv2/synthv1.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) GENERATED FILE", "*No copyright* GENERATED FILE", "GPL
     (v2 or later)" For detailed output of licensecheck see file:
     /home/makerpm/rpmbuild/REVIEW/829970-synthv1/srpm/synthv1/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint (installed packages)
----------------------------
# rpmlint synthv1-debuginfo
synthv1-debuginfo.i686: I: enchant-dictionary-not-found en_US
synthv1-debuginfo.i686: W: invalid-url URL: http://www.rncbc.org/ <urlopen error timed out>
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_jack
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_jack
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_jack
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_jack
1 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'

Rpmlint
-------
Checking: synthv1-0.0.9-0.2.svn762.fc17.src.rpm
          synthv1-0.0.9-0.2.svn762.fc17.i686.rpm
          synthv1-debuginfo-0.0.9-0.2.svn762.fc17.i686.rpm
          lv2-synthv1-0.0.9-0.2.svn762.fc17.i686.rpm
synthv1.src: W: spelling-error Summary(en_US) subtractive -> subtracting, subtracted, subtract
synthv1.src: W: spelling-error %description -l en_US subtractive -> subtracting, subtracted, subtract
synthv1.src: W: spelling-error %description -l en_US fx -> Fox, fax, fix
synthv1.src: W: invalid-url URL: http://www.rncbc.org/ <urlopen error timed out>
synthv1.src: W: invalid-url Source0: http://www.rncbc.org/snapshots/synthv1-0.0.9svn762.tar.gz <urlopen error timed out>
synthv1.i686: W: spelling-error Summary(en_US) subtractive -> subtracting, subtracted, subtract
synthv1.i686: W: spelling-error %description -l en_US subtractive -> subtracting, subtracted, subtract
synthv1.i686: W: spelling-error %description -l en_US fx -> Fox, fax, fix
synthv1.i686: W: invalid-url URL: http://www.rncbc.org/ <urlopen error timed out>
synthv1.i686: W: no-manual-page-for-binary synthv1_jack
synthv1-debuginfo.i686: W: invalid-url URL: http://www.rncbc.org/ <urlopen error timed out>
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_jack
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_jack
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.ui_lv2
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_jack
synthv1-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/synthv1-0.0.9svn762/src/.moc_jack
lv2-synthv1.i686: W: spelling-error %description -l en_US subtractive -> subtracting, subtracted, subtract
lv2-synthv1.i686: W: invalid-url URL: http://www.rncbc.org/ <urlopen error timed out>
lv2-synthv1.i686: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 22 warnings.


Requires
--------
synthv1-0.0.9-0.2.svn762.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    hicolor-icon-theme  
    libQtCore.so.4  
    libQtGui.so.4  
    libQtXml.so.4  
    libasound.so.2  
    libasound.so.2(ALSA_0.9)  
    libc.so.6  
    libgcc_s.so.1  
    libgcc_s.so.1(GCC_3.0)  
    libjack.so.0  
    libm.so.6  
    libpthread.so.0  
    libstdc++.so.6  
    libstdc++.so.6(CXXABI_1.3)  
    rtld(GNU_HASH)  

synthv1-debuginfo-0.0.9-0.2.svn762.fc17.i686.rpm (rpmlib, GLIBC filtered):
    

lv2-synthv1-0.0.9-0.2.svn762.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    libQtCore.so.4  
    libQtGui.so.4  
    libQtXml.so.4  
    libasound.so.2  
    libc.so.6  
    libgcc_s.so.1  
    libgcc_s.so.1(GCC_3.0)  
    libjack.so.0  
    libm.so.6  
    libpthread.so.0  
    libstdc++.so.6  
    libstdc++.so.6(CXXABI_1.3)  
    lv2  
    rtld(GNU_HASH)  

Provides
--------
synthv1-0.0.9-0.2.svn762.fc17.i686.rpm:
    
    synthv1 = 0.0.9-0.2.svn762.fc17
    synthv1(x86-32) = 0.0.9-0.2.svn762.fc17

synthv1-debuginfo-0.0.9-0.2.svn762.fc17.i686.rpm:
    
    synthv1-debuginfo = 0.0.9-0.2.svn762.fc17
    synthv1-debuginfo(x86-32) = 0.0.9-0.2.svn762.fc17

lv2-synthv1-0.0.9-0.2.svn762.fc17.i686.rpm:
    
    lv2-synthv1 = 0.0.9-0.2.svn762.fc17
    lv2-synthv1(x86-32) = 0.0.9-0.2.svn762.fc17
    synthv1.so  



Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -n synthv1 -v -x CheckSourceMD5,CheckSourceUrl
External plugins:

If you can promise me that the URL and *especially* the SourceURL will be working within a week or two, i will happlily apporove the package
Comment 14 Brendan Jones 2012-08-28 01:38:18 EDT
The website is back. Thanks for the review
Comment 15 Jørn Lomax 2012-08-28 03:22:36 EDT
No problem, happy to be of assistance

*************************
This package is APPROVED*
*************************
Comment 16 Brendan Jones 2012-08-28 05:51:06 EDT
Thanks for the review! 

New Package SCM Request
=======================
Package Name: synthv1
Short Description: 4 oscillator subtractive polyphonic synthesizer
Owners: bsjones
Branches: f16 f17 f18
InitialCC:
Comment 17 Gwyn Ciesla 2012-08-28 07:23:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.